 <html>
  <html onMouseOver="self.status='Powered by Carpediem Colombia Ltda'; return true">
   <head>
    <title>.::Virtual Courrier - Cruce de Datos::. </title>
	<link rel="stylesheet" href="../css/style.css" type="text/css">
     </head>
   <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" bgcolor="#ffffff">
 <center>
 <img src="../imagenes/recursos/envia.gif" alt="..::Envia::.." title="..::Envia::.." border=0>
<BR>
<BR>

<?php  
include("prueba.php");
include("conexion.php");
//include("datosUsuarioView.php");
 class nuevoPrueba {
	
	// PROPIEDADES
	var $pruebaObj;
	var $conexionObj;
	var $estado;
	
	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba(); 
			$this->pruebaObj->setGuia($guia);		
	}

	function getPrueba(){
		return $this->pruebaObj;
	}

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$contc=0;
		$contn=0;
		$lotes=$_POST['lote'];
		$_SESSION['lote']=$lotes;
		$rst=$this->conexionObj->consultar("Select * from prueba where lote='".$lotes."'");
		
		while($fila = mysql_fetch_array($rst)) { // recorro la consulta
			$this->pruebaObj->setGuia($fila["guia"]); // obtengo el valor de la celda cuya columna es cedula
			$this->estado=1;
			$rst1=$this->conexionObj->consultar("Select * from digitalizacion where guia='".$fila['guia']."'");
			//echo "entro while";
	        if(mysql_num_rows($rst1)>=1){
	        		$contc=$contc+1;
	        		$fila1 = mysql_fetch_array($rst1);
	        		//echo $fila1['path'];
					//echo "<tr>";
					//echo "<td width=59><div class=main>";
					//echo $fila["guia"]."</div></td>";
					//echo "<td width=123><div class=main>";
					//echo $fila["num_cta"]."</div></td>";
					//echo "</tr>";
                    $rst2=$this->conexionObj->modificar("UPDATE prueba SET ruta='".$fila1['path']."', est='1' WHERE guia ='".$fila["guia"]."'");
					
			}else{
				$contn=$contn+1;
			}
		} 
		$vals=$_POST['flt'];
		if($vals==1){
		}else{
		echo "<table border=0 width='37%' id=table1><tr>";
		echo "<td width=141 align=center class=inputbox><font face=Verdana size=3>Registros</font></td>";
		echo "<td width=54 align=center class=inputbox><font face=Verdana size=3>Cant</font></td>";
		echo "<td width=92 align=center class=inputbox><font face=Verdana size=3>Acción</font></td>";
		echo "<td width=67 align=center class=inputbox><font face=Verdana size=3>Exportar</font></td></tr>";
		echo "<tr><td width=141><font face=Verdana size=1>Cruzados</font></td>";
		echo "<td width=54><font face=Verdana size=1>".$contc."</font></td>";
		echo "<td width=92><font face=Verdana size=1>Detalles</font></td>";
		echo "<td><a href=exportxls.php?estado=1&lote=".$lotes.">xls</a><br></td>";
	    echo "</tr>";
	    echo "<tr><td width=141><font face=Verdana size=1>No Cruzados</font></td>";
		echo "<td width=54><font face=Verdana size=1>".$contn."</font></td>";
		echo "<td width=92><font face=Verdana size=1>Detalles</font></td>";
		echo "<td><a href=exportxls.php?estado=0&lote=".$lotes.">xls</a><br></td>";
	    echo "</tr>";
		}
	//$file = ftp_get($stream, "/tmp/file.txt", "data.txt", FTP_ASCII);
	//@copy("Spidey2.jpg", "\\194.165.1.10\C:\nuevo\Spidey2.jpg");
	}

}
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();
?>

<?
 class filtroPrueba {
	
	// PROPIEDADES
	var $conexionObj;
function filtrar(){
	$fec=date("Ymd_H_i");
	exec("mkdir IMAGENES");
	exec("chmod 777 IMAGENES");
	exec("mkdir IMAGENES/".$fec);
	exec("chmod 777 IMAGENES/".$fec);
	$val=$_POST['flt'];
	if($val==1){
	//echo "entro isset";
	$i=0;
	$this->conexionObj = new conexion();
	$this->conexionObj->conectarse();
	$lotes=$_POST['lotes'];
	$rst3=$this->conexionObj->consultar("Select * from prueba where est='1' and lote='".$lotes."'");
	while($fila3 = mysql_fetch_array($rst3)) {
	$rut="/opt/lampp/htdocs".$fila3['ruta'];
	$fila3['guia'];
	$i=$i+1;
	$path="/nuevo/".$fila3['guia'].".gif";
	//echo $path=$fila3['guia'].".gif";
	$path2="/opt/lampp/htdocs/servicio_cliente_envia/trabajo/IMAGENES/".$fec."/".$fila3['guia'].".gif";
	//$path2="/opt/lampp/htdocs/servicio_cliente_envia/trabajo/IMAGENES/".$fila3['guia'].".gif";
	//@copy($rut,$path);
	@copy($rut,$path2);
	//@copy("Spidey2.jpg", "C:\nuevo\Spidey2.jpg");
	//@rename("Spidey2.jpg", "copy_Spidey.jpg");
	
	}
	
	exec("zip -r ".$fec.".zip IMAGENES");
	echo "<a href=".$fec.".zip>Descargar Zip</a><br><br>";
  	echo '<form name="formulario" action="cruce.php" method="POST" encType="multipart/form-data">';
	echo "<input type=hidden value=".$lotes." name=lote class=inputbox>";
	echo '<input type="submit" value="Volver" name="buscar" class="inputbox">';
	echo "</form>";
	}else{
		
		echo "<form name=formulario action=cruce.php method=POST encType=multipart/form-data>";
		echo "<input type=submit value='Filtrar imagenes' name=filtrar class=inputbox>";
		echo "<input type=hidden value='1' name=flt class=inputbox>";
		echo "<input type=hidden value=".$_SESSION['lote']." name=lotes class=inputbox>";
		echo "</form><br><br>";
		//echo "no entro isset";
	}
	exec("rm -r IMAGENES");
  }
}
$filtroPruebaObj=new filtroPrueba();
$filtroPruebaObj->filtrar();

?>
</center>
</body>
</html>